=== debian/changelog ===
openwalnut (1.3.1+hg5849-1ubuntu2) saucy; urgency=low

  * Depend on fonts-liberation rather than ttf-liberation.

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 13 Sep 2013 07:33:04 +1000

openwalnut (1.3.1+hg5849-1ubuntu1) saucy; urgency=low

  * Cherrypick boost1.53 pointer cast fixes.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 May 2013 03:12:03 +0100

openwalnut (1.3.1+hg5849-1) unstable; urgency=low

  * Minor changes compared to 1.3.0 but included several bug fixes.
  * See http://www.openwalnut.org/versions/4

 -- Sebastian Eichelbaum <eichelbaum@informatik.uni-leipzig.de>  Tue, 12 Dec 2012 11:26:32 +0100

openwalnut (1.3.0-1) unstable; urgency=low

  * A lot of fixes and added functionality. 
  * See http://www.openwalnut.org/versions/1

 -- Sebastian Eichelbaum <eichelbaum@informatik.uni-leipzig.de>  Tue, 5 Jun 2012 15:38:32 +0200

openwalnut (1.2.5-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #674343

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 14:19:31 +0000
